{

=pod

=head1 NAME

Blogger::Manila

=head1 SUMMARY


=head1 DESCRIPTION

This package inherits I<Blogger::Engine::Userland> and implements methods specific to  UserLand Manila server.

=cut

package Blogger::Engine::Manila;
use strict;

$Blogger::Engine::Manila::VERSION   = 0.2;
@Blogger::Engine::Manila::ISA       = qw ( Exporter Blogger::Engine::Userland );
@Blogger::Engine::Manila::EXPORT    = qw ();
@Blogger::Engine::Manila::EXPORT_OK = qw ();

use Exporter;
use Blogger::Engine::Userland;

=pod

=head1 CONSTRUCTOR METHODS

=cut

=pod

=head2 Blogger::Manila->new(%args)

TBW...

=cut

sub new {
    my $pkg  = shift;
    my %args = @_;

    my $self = {};
    bless $self,$pkg;
    
    if (! $self->SUPER::init(%args)) {
	return 0;
    }

    return $self;
}


=pod

=head1 Blogger API METHODS

=cut

=pod

=head2 $pkg->getUsersBlogs()

=cut

sub getUsersBlogs {
    my $self = shift;
    $self->LastError("Unsupported method.");
    return 0;
}

=pod

=head1 TO DO 

=over 4

=back

=head1 VERSION

0.2

=head DATE

$Date: 2002/01/29 15:10:27 $

=head1 AUTHOR

Aaron Straup Cope

=head1 CHANGES

=head2 0.2

=over 4

=item

Switched base class to Blogger::Engine::Userland

=item

Update POD.

=back

=head2 0.1.1

=over 4

=item

Modified Blogger::Manila.pm I<Proxy> method to conform to the way Manila servers do XML-RPC.

=item 

Added Blogger::Manila.pm I<MaxPostLength> method.

=item

Added Blogger::Manila.pm private I<init> method to handle possible proxy argument.

=item

Updated POD.

=back

=head2 0.1

=over 4

=item

Initial setup.

=back

=head1 SEE ALSO

L<Blogger>

http://frontier.userland.com/emulatingBloggerInManila

=head1 LICENSE

Copyright (c) 2001-2002 Aaron Straup Cope.

This is free software, you may use it and distribute it under the
same terms as Perl itself.

=cut

return 1;

}
