{

=pod

=head1 NAME

Blogger::Engine::Radio

=head1 SUMMARY

...

=head1 DESCRIPTION

This package inherits I<Blogger::Engine::Userland> and implements methods specifc to a RadioUserLand XML-RPCserver.

=cut

package Blogger::Engine::Radio;
use strict;

$Blogger::Engine::Radio::VERSION   = 0.1;
@Blogger::Engine::Radio::ISA       = qw ( Exporter Blogger::Engine::Userland );
@Blogger::Engine::Radio::EXPORT    = qw ();
@Blogger::Engine::Radio::EXPORT_OK = qw ();

use Exporter;
use Blogger::Engine::Userland;

=pod

=head1 CONSTRUCTOR METHODS

=cut

=pod

=head2 $pkg = Blogger::Engine::Radio->new(%args)

TBW...

=cut

sub new {
    my $pkg  = shift;
    my %args = @_;

    my $self = {};
    bless $self,$pkg;
    
    if (! $self->SUPER::init(%args)) {
	return undef;
    }

    return $self;
}

=pod

=head1 Blogger API METHODS

=cut

=pod

=head2 $pkg->GetBlogId()

"blogid is ignored. (Radio only manages one weblog, but something interesting could be done here with categories. In your code you must pass "home", all other blogid's cause an error.)"

 -- http://radio.userland.com/emulatingBloggerInRadio#howTheBloggerApiMapsOntoRadioWeblogs

This method overrides I<Blogger::API::Extended::getBlogId> method

=cut

sub GetBlogId {
    my $self = shift;
    return "home";
}

=pod

=head1 TO DO 

=over 4

=back

=head1 VERSION

0.1

=head DATE

$Date: 2002/01/29 15:10:27 $

=head1 AUTHOR

Aaron Straup Cope

=head1 CHANGES

=head2 0.1

=over 4

=item

Initial revision.

=back

=head1 SEE ALSO

L<Blogger::Engine::Userland>

http://frontier.userland.com/emulatingBloggerInManila

=head1 LICENSE

Copyright (c) 2001-2002 Aaron Straup Cope.

This is free software, you may use it and distribute it under the same terms as Perl itself.

=cut

return 1;

}
